rte_cpu_intrinsics(3)

NAME
rte_cpu_intrinsics

SYNOPSIS

#include <rte_cpuflags.h>

  Data Fields

uint32_t power_monitor: 1
uint32_t power_pause: 1
uint32_t power_monitor_multi: 1

Detailed Description

Structure used to describe platform-specific intrinsics that may or may not be supported at runtime.

Definition at line 26 of file rte_cpuflags.h.

Field Documentation

  uint32_t power_monitor
indicates support for rte_power_monitor function

Definition at line 27 of file rte_cpuflags.h.

  uint32_t power_pause
indicates support for rte_power_pause function

Definition at line 29 of file rte_cpuflags.h.

  uint32_t power_monitor_multi
indicates support for rte_power_monitor_multi function

Definition at line 31 of file rte_cpuflags.h.

Author

Generated automatically by Doxygen for DPDK from the source code.